/* Variables */

/*
* Breakpoints
*/
$breakpoints: (
  xMobile: 480px,
  mobile: 768px,
  xTablet: 1024px,
  tablet: 1200px,
  xDesktop: 1408px,
  desktop: 1920px,
);

/*
* Font Families
*/
$font-families: (
  primary: (
    Lato,
    sans-serif,
  ),
);

/*
* Typography Weights
*/
$typography-weights: (
  thin: 100,
  light: 300,
  regular: 400,
  medium: 700,
  bold: 900,
);

/*
* Typography Hierarchies
* Ref:
* example:
* font: (italic bold 4.2vw/1.2 (Poppins, sans-serif)),
* font: (font-style font-weight font-size/line-height (font-family, sans-serif)),
*/
$heading-fonts: (
  hf1: (
    900 4.2vw/1.2 map-get($font-families, primary),
  ),
  mhf1: (
    700 7vw/1.2 map-get($font-families, primary),
  ),
  hf2: (
    4000 1.4vw/1.2 map-get($font-families, primary),
  ),
  mhf2: (
    700 6vw/1.2 map-get($font-families, primary),
  ),
  hf3: (
    900 3vw/1.2 map-get($font-families, primary),
  ),
  mhf3: (
    700 6vw/1.2 map-get($font-families, primary),
  ),
);
$paragraph-fonts: (
  pf1: (
    400 1.25vw/1.5 map-get($font-families, primary),
  ),
  mpf1: (
    700 4vw/1.5 map-get($font-families, primary),
  ),
  pf2: (
    400 1vw/1.5 map-get($font-families, primary),
  ),
  mpf2: (
    900 4vw/1.5 map-get($font-families, primary),
  ),
);

/*
* Z-Indexes
*/
$z-indexes: (
  max: 1024,
  xLarge: 512,
  large: 256,
  xMedium: 128,
  medium: 64,
  small: 32,
  xSmall: 16,
  mini: 8,
  xMini: 4,
  micro: 2,
  nano: 1,
  none: 0,
);

/*
* CTA Colors
*/
$cta-colors: (
  primary: #0075a3,
  primaryHover: #00658c,
  secondary: #76797b,
  confirm: #208837,
  confirmHover: #1a732e,
  confirmShadow: rgba(40, 167, 69, 0.25),
  danger: #d42f30,
  dangerHover: #b72728,
  dangerShadow: rgba(220, 53, 69, 0.25),
);

/*
* Theme Colors
*/
$theme: (
  light: #f1f2f2,
  dark: #00171f,
  primary: #0075a3,
  secondary: #76797b,
  third: #c9cacb,
  fourth: #e3e4e4,
);

/*
* Typography Colors
*/
$typography-colors: (
  dark: #00171f,
  primary: #263940,
  secondary: #405157,
  ternary: #59686d,
  link: #009ad8,
  linkHover: #0075a3,
);

$grays: (
  gray100: #76797b,
  gray60: #adafb0,
  gray40: #c9cacb,
  gray20: #e3e4e4,
  gray10: #f1f2f2,
);

/*
* Border Colors
* Example: color: map-get($typography-colors, secondary);
*/
$border-colors: (
  default: #c9cacb,
  highlight: #0075a3,
  shadow: #b2e0f3,
);
